import {
  a as e
} from "./chunk-IO47FP3U.js";

// ../node_modules/@babel/runtime/helpers/esm/assertThisInitialized.js
function s(t) {
  if (t === void 0) throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  return t;
}
e(s, "_assertThisInitialized");

// ../node_modules/@babel/runtime/helpers/esm/setPrototypeOf.js
function n(t, o) {
  return n = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function(r, f) {
    return r.__proto__ = f, r;
  }, n(t, o);
}
e(n, "_setPrototypeOf");

// ../node_modules/@babel/runtime/helpers/esm/getPrototypeOf.js
function i(t) {
  return i = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function(o) {
    return o.__proto__ || Object.getPrototypeOf(o);
  }, i(t);
}
e(i, "_getPrototypeOf");

export {
  s as a,
  n as b,
  i as c
};
